textures/dangerseabase/accessiblewall
{ 
	qer_editorimage textures/sfx/construction.tga
	qer_trans 0.5

	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip 
	surfaceparm trans 
	surfaceparm nonsolid
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0.50 0.60 0.20 )
		tcGen environment 
		tcMod scroll 0.025 -0.025 
	} 
	{
		map textures/2thecore_txtset1_teleporter/tel_ringfx_B.tga
		rgbGen const ( 0.50 0.60 0.20 )
		tcMod Scroll 0.05 2
		blendfunc GL_ONE GL_ONE
	}
}
textures/dangerseabase/lightwall
{ 
	qer_editorimage textures/sfx/construction.tga
	qer_trans 0.5

	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip 
	surfaceparm trans 
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0.20 0.50 0.50 )
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	} 
	{
		map textures/2thecore_txtset1_teleporter/tel_ringfx_B.tga
		tcMod Scroll 0.05 2
		blendfunc GL_ONE GL_ONE
	}
}
textures/dangerseabase/powertrack
{ 
	qer_editorimage textures/sfx/construction.tga
	qer_trans 0.6

	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip 
	surfaceparm trans 
	surfaceparm nonsolid
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0.40 0.40 1.00 )
		tcGen environment 
		tcMod scroll -0.5 0 
	} 
}
textures/dangerseabase/highenergy_laser
{ 
	qer_editorimage textures/sfx/construction.tga
	qer_trans 0.5

	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip 
	surfaceparm trans 
	surfaceparm nonsolid
	{ 
		map textures/sfx/construction.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0.80 0.00 0.80 )
		tcGen environment 
		tcMod scroll -0.5 0 
	} 
}

// www.planetquake.com/2thecore
// Copyright (c) 2003 kris [Idolator] hagedoorn, idolator@planetquake.com All rights reserved.
// Quake III Arena is a registered trademark of id Software, Inc.

textures/dangerseabase/TelePorter
{
 	qer_editorimage textures/2thecore_txtset1_teleporter/tel_ringfx_A.tga
 	surfaceparm trans
 	surfaceparm nomarks
 	surfaceparm nonsolid
 	surfaceparm nolightmap
 	qer_trans 0.50
 	cull none
 	cull disable
	{
 		map textures/2thecore_txtset1_teleporter/tel_ringfx_D.tga
 		blendfunc GL_ONE GL_ONE
 		rgbgen wave inverseSawtooth 0.0 0.2 0 0.50
 		tcmod scroll 0.08 0
 	}
	{
 		map textures/2thecore_txtset1_teleporter/tel_ringfx_A.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
 		tcmod scroll 0.05 0
 	}
 	{
  		map textures/2thecore_txtset1_teleporter/tel_ringfx_B.tga
  		tcMod Scroll 0.05 2
  		blendfunc GL_ONE GL_ONE
  	}
}

textures/dangerseabase/TelePorterEnd
{
 	qer_editorimage textures/2thecore_txtset1_teleporter/tel_ringfx_A.tga
 	surfaceparm trans
 	surfaceparm nomarks
 	surfaceparm nonsolid
 	surfaceparm nolightmap
 	qer_trans 0.50
 	cull none
 	cull disable
	{
 		map textures/2thecore_txtset1_teleporter/tel_ringfx_D.tga
 		blendfunc GL_ONE GL_ONE
 		rgbgen wave inverseSawtooth 0.0 0.2 0 0.50
 		tcmod scroll 0.08 0
 		rgbGen const ( 0.20 0.70 0.20 )
 	}
	{
 		map textures/2thecore_txtset1_teleporter/tel_ringfx_A.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
 		tcmod scroll 0.05 0
 		rgbGen const ( 0.20 0.70 0.20 )
 	}
 	{
  		map textures/2thecore_txtset1_teleporter/tel_ringfx_B.tga
  		tcMod Scroll 0.05 2
  		blendfunc GL_ONE GL_ONE
  		rgbGen const ( 0.20 0.70 0.20 )
  	}
}

// ========================================================v====

textures/dangerseabase/nightsea
{
	qer_editorimage textures/dangerseabase/nightsea_up.tga
	
	skyParms textures/dangerseabase/nightsea 2048 -

	q3map_sunExt 0.0 0.3 0.5 60 105 5	// R G B Intensity Angle Pitch


	q3map_skylight 100 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
}
textures/dangerseabase/battlesense
{
	qer_editorimage textures/dangerseabase/battlesense.tga
	qer_trans .8
	
	surfaceparm nonsolid
	{
 		map textures/dangerseabase/battlesense.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.00 1.00 0.40 )
 	}
}
textures/dangerseabase/covertops
{
	qer_editorimage textures/dangerseabase/covertops.tga
	qer_trans .8
	
	surfaceparm nonsolid
	{
 		map textures/dangerseabase/covertops.tga
 		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.00 1.00 0.40 )
 	}
}
textures/dangerseabase/engineer
{
	qer_editorimage textures/dangerseabase/engineer.tga
	qer_trans .8
	
	surfaceparm nonsolid
	{
 		map textures/dangerseabase/engineer.tga
 		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.00 1.00 0.40 )
 	}
}
textures/dangerseabase/fieldops
{
	qer_editorimage textures/dangerseabase/fieldops.tga
	qer_trans .8
	
	surfaceparm nonsolid
	{
 		map textures/dangerseabase/fieldops.tga
 		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.00 1.00 0.40 )
 	}
}
textures/dangerseabase/flag
{
	qer_editorimage textures/dangerseabase/flag.tga
	qer_trans .8
	
	surfaceparm nonsolid
	{
 		map textures/dangerseabase/flag.tga
 		blendfunc GL_ONE GL_ONE
//		rgbGen const ( 1.00 1.00 0.40 )
 	}
}
textures/dangerseabase/lightweap
{
	qer_editorimage textures/dangerseabase/lightweap.tga
	qer_trans .8
	
	surfaceparm nonsolid
	{
 		map textures/dangerseabase/lightweap.tga
 		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.00 1.00 0.40 )
 	}
}
textures/dangerseabase/medic
{
	qer_editorimage textures/dangerseabase/medic.tga
	qer_trans .8
	
	surfaceparm nonsolid
	{
 		map textures/dangerseabase/medic.tga
 		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.00 1.00 0.40 )
 	}
}
textures/dangerseabase/soldier
{
	qer_editorimage textures/dangerseabase/soldier.tga
	qer_trans .8
	
	surfaceparm nonsolid
	{
 		map textures/dangerseabase/soldier.tga
 		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.00 1.00 0.40 )
 	}
}
textures/dangerseabase/water01
{
	qer_editorimage textures/dangerseabase/water01.tga	
	qer_trans .5
	
	q3map_globaltexture
	cull disable
	nocompress
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	nopicmip
	{
		map textures/dangerseabase/water01.tga
		blendFunc blend
		alphaFunc GE128
		rgbgen identity
		tcmod scale 0.25 0.25
		tcmod scroll 0.2 0.1
		fog on
	}
	{
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25
		tcmod scale 0.01 0.01
		tcmod scroll 0.01 0.01
		fog on
	}
	{
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll 0.01 0.01
		fog on
	}
}
textures/dangerseabase/dsb_floor01_blue
{ 
	qer_editorimage textures/dangerseabase/dsb_floor01.tga
	{ 
		map textures/dangerseabase/dsb_floor01.tga 		
		rgbGen const ( 0.30 0.50 0.80 )
	} 
	{
		map textures/common/dirtymirror.tga
		rgbGen identity
		blendFunc GL_ONE GL_ONE
		tcgen environment
	}
}
textures/dangerseabase/dsb_floor01_yellow
{ 
	qer_editorimage textures/dangerseabase/dsb_floor01.tga
	{ 
		map textures/dangerseabase/dsb_floor01.tga 		
		rgbGen const ( 0.80 0.80 0.40 )
	} 
	{
		map textures/common/dirtymirror.tga
		rgbGen identity
		blendFunc GL_ONE GL_ONE
		tcgen environment
	}
}
textures/dangerseabase/dsb_floor01_green
{ 
	qer_editorimage textures/dangerseabase/dsb_floor01.tga
	{ 
		map textures/dangerseabase/dsb_floor01.tga 		
		rgbGen const ( 0.30 0.80 0.30 )
	} 
	{
		map textures/common/dirtymirror.tga
		rgbGen identity
		blendFunc GL_ONE GL_ONE
		tcgen environment
	}
}
textures/dangerseabase/slip_cement01
{ 
	qer_editorimage textures/town_wall/town_c61a.jpg
	surfaceparm nodamage
	surfaceparm slick
	{ 
		map textures/town_wall/town_c61a.jpg
	} 
	{
		map textures/common/dirtymirror2.tga
		rgbGen identity
		blendFunc GL_ONE GL_ONE
		tcgen environment
	}
}
textures/dangerseabase/crystal_blue
{ 
	qer_editorimage textures/dangerseabase/crystal.jpg
	surfaceparm glass
	surfaceparm trans
	{
		map textures/sfx/construction.tga // textures/dangerseabase/crystal.jpg, textures/common/dirtymirror2.tga
		rgbGen const ( 0.10 0.50 1.00 )
            	blendFunc GL_SRC_ALPHA GL_SRC_COLOR
            	tcmod scale 0.5 0.5
		tcgen environment
	}
	{
		map textures/dangerseabase/crystal.jpg // textures/sfx/construction.tga, textures/common/dirtymirror2.tga
		rgbGen const ( 0.10 0.50 1.00 )
            	blendFunc GL_ONE GL_ONE
            	tcmod scale 0.25 0.25
		tcgen environment
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}
textures/dangerseabase/crystal_yellow
{ 
	qer_editorimage textures/dangerseabase/crystal.jpg
	surfaceparm glass
	surfaceparm trans
	{
		map textures/sfx/construction.tga
		rgbGen const ( 1.00 1.00 0.00 )
            	blendFunc GL_SRC_ALPHA GL_SRC_COLOR
            	tcmod scale 0.5 0.5
		tcgen environment
	}
	{
		map textures/dangerseabase/crystal.jpg
		rgbGen const ( 1.00 1.00 0.00 )
            	blendFunc GL_ONE GL_ONE
            	tcmod scale 0.25 0.25
		tcgen environment
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}
textures/dangerseabase/crystal_red
{ 
	qer_editorimage textures/dangerseabase/crystal.jpg
	surfaceparm glass
	surfaceparm trans
	{
		map textures/sfx/construction.tga
		rgbGen const ( 1.00 0.10 0.20 )
            	blendFunc GL_SRC_ALPHA GL_SRC_COLOR
            	tcmod scale 0.5 0.5
		tcgen environment
	}
	{
		map textures/dangerseabase/crystal.jpg
		rgbGen const ( 1.00 0.10 0.20 )
            	blendFunc GL_ONE GL_ONE
            	tcmod scale 0.25 0.25
		tcgen environment
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}
textures/dangerseabase/crystal_green
{ 
	qer_editorimage textures/dangerseabase/crystal.jpg	
	surfaceparm glass
	surfaceparm trans
	{
		map textures/sfx/construction.tga
		rgbGen const ( 0.00 1.00 0.00 )
            	blendFunc GL_SRC_ALPHA GL_SRC_COLOR
            	tcmod scale 0.5 0.5
		tcgen environment
	}
	{
		map textures/dangerseabase/crystal.jpg
		rgbGen const ( 0.00 1.00 0.00 )
            	blendFunc GL_ONE GL_ONE
            	tcmod scale 0.25 0.25
		tcgen environment
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}